####################################################################
#
# Commands for online session in Section 4 of the manual for 
# momfit.r
#
####################################################################
source("momfit.r")
elmdon.data <- read.table("elmstats.dat",header=TRUE)
elmdon.data[1,]
elmdon.data[,9:10] <- 1-elmdon.data[,9:10]
names(elmdon.data)[9:10] <- c("Pwet1","Pwet24")
elmdon.data[1,]
mean.stats <- colMeans(elmdon.data[elmdon.data$Month == 1,-c(1,2)],na.rm=TRUE)
timescales <- list(Mean=1,Var=c(1,6,24),
Ac=matrix(c(1,24,1,1),nrow=2),Ph=c(1,24))
mean.stats
timescales
nyears <- sum(!is.na(elmdon.data$Mean1[elmdon.data$Month == 1]))
var.stats <- var(elmdon.data[elmdon.data$Month == 1,-c(1,2)],na.rm=TRUE)
var.stats <- var.stats/nyears
theta <- c(0.01,1,1,10,0.1,10)
names(theta) <- c("lambda","mu[X]","sigma[X]/mu[X]","beta","gamma","eta")
par(mfrow=c(2,3))
fit1 <- auto.fit(model.name="BL0",theta=theta,timescales=timescales,
observed=mean.stats,covmat=var.stats)
#
#	Uncomment following lines to copy results to file
#
# dev.copy(postscript,"objplots.ps",paper="A4",horizontal=TRUE)
# dev.off()
 dev.copy(pdf,"objplots.pdf",width=8,height=6)
 dev.off()
fit1$Theta
fit1$Obj
fit1$Std.err
args(props.BL0)
props.BL0(fit1$Theta,timescales)
prop.wt <- 1 / diag(var.stats)
prop.wt
par(mfrow=c(2,3))
fit2 <- auto.fit(model.name="BL0",theta=theta,timescales=timescales,
observed=mean.stats,covmat=var.stats,w=prop.wt,log.pars=TRUE)
fit2$Theta
fit2$Obj
exp(fit2$Theta)
props.BL0(exp(fit2$Theta),timescales)
fit2$Std.err
par(mfrow=c(1,2))
prf.tabs <- obj.profile(fit2,params=c(1,2),
loplim=c(0.015,0.04),upplim=c(0.05,1.5),npoints=20)
#
#	Uncomment following lines to copy results to file
#
#dev.copy(postscript,"profiles.ps",paper="A4",horizontal=TRUE)
#dev.off()
dev.copy(pdf,"profiles.pdf",width=8,height=6)
dev.off()
#fit3 <- auto.fit(model.name="BL0",theta=theta,timescales=timescales,
#observed=log(mean.stats),covmat=var.stats,log.pars=TRUE,log.props=TRUE)

